
CONNECT TO <database> USER <db2admin> USING <db2admin_pwd>;

-- 4K temp tablespace
CREATE TEMPORARY TABLESPACE <user>_temp
	PAGESIZE 4K
	MANAGED BY SYSTEM
	USING ('<path1>')
        BUFFERPOOL <user>_4k_bp;

-- 16K temp tablespace
CREATE TEMPORARY TABLESPACE <user>_ltemp
	PAGESIZE 16K
	MANAGED BY SYSTEM
	USING ('<path2>')
        BUFFERPOOL <user>_16k_bp;

DROP  TABLESPACE TEMPSPACE1;
ALTER TABLESPACE SYSCATSPACE BUFFERPOOL <user>_4K_bp;

-- Minimize the size of the default bufferpool.
ALTER BUFFERPOOL IBMDEFAULTBP SIZE 2;

-- Tablespace to contain small tables
-- 30000 * 4K = 120M
CREATE REGULAR TABLESPACE <user>_data
	PAGESIZE 4K
	MANAGED BY DATABASE 
	USING (FILE '<path3>/<user>_data.tbs' 30000)
	BUFFERPOOL <user>_4k_bp;

-- Tablespace to contain large tables
-- 15000 * 16K = 240M
CREATE REGULAR TABLESPACE <user>_ldata
	PAGESIZE 16K
	MANAGED BY DATABASE 
	USING (FILE '<path3>/<user>_ldata.tbs' 15000)
	BUFFERPOOL <user>_16k_bp;

-- Tablespace to contain indexes
-- 15000 * 4K = 60M
CREATE REGULAR TABLESPACE <user>_index
	PAGESIZE 4K
	MANAGED BY DATABASE 
	USING (FILE '<path3>/<user>_index.tbs' 15000)
	BUFFERPOOL <user>_4k_bp;

-- Long tablespace to contain long fields
-- 3000 * 32K = 96M
CREATE LONG TABLESPACE <user>_long
	PAGESIZE 32K
	MANAGED BY DATABASE 
	USING (FILE '<path3>/<user>_long.tbs' 3000)
	BUFFERPOOL <user>_32k_bp;

GRANT CONNECT, IMPLICIT_SCHEMA ON DATABASE TO USER <user>;

-- Grant tablespace use to the schema owner
GRANT USE OF TABLESPACE <user>_data    TO USER <user>;
GRANT USE OF TABLESPACE <user>_ldata   TO USER <user>;
GRANT USE OF TABLESPACE <user>_index   TO USER <user>;
GRANT USE OF TABLESPACE <user>_long    TO USER <user>;

CONNECT RESET;
