CONNECT TO <database> USER <user> USING <password>@

CREATE TRIGGER RQDELPROJ_BLOCK 
NO CASCADE BEFORE DELETE ON RqProjects
REFERENCING OLD AS old_row
FOR EACH ROW MODE DB2SQL
WHEN (old_row.versionreason <> '!DELETING!')
BEGIN ATOMIC
   SIGNAL SQLSTATE '70001' ('Use the RQDELETE_PROJECT stored procedure to delete projects.');
END
@

-- Synchronize RqProjects and RqProjectLocks
CREATE TRIGGER RQPROJLOCK_INSERT 
AFTER INSERT ON RqProjects
REFERENCING NEW AS new_row
FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
   INSERT INTO RqProjectLocks (ID) VALUES (new_row.ID);
END
@

-- Synchronize RqProjects and RqProjectLocks
CREATE TRIGGER RQPROJLOCK_DELETE
AFTER DELETE ON RqProjects
REFERENCING OLD AS old_row
FOR EACH ROW MODE DB2SQL
BEGIN ATOMIC
   DELETE FROM RqProjectLocks WHERE ID = old_row.ID;
END
@